/**A colored flag that shows the current output of the circuit.*/
public class UserOutput extends Object {	
  public UserOutput(int x, int y) {
    super(x, y);
    input = new Input[1];
    input[0] = new Input(this, -.5, 0);
  }

  protected void setPen() {
    super.setPen();
    if (input[0].get()) fill(TRUE);
    else                fill(FALSE);
  }
  public void draw() {
    setPen();
    beginShape();
    tvertex(-1, -.3);
    tvertex(.7, -.3);
    tvertex(1, 0);
    tvertex(.7, .3);
    tvertex(-1, .3);
    tvertex(-1, -.3);
    endShape();
  }

  public void tick() {
  };
}

