public class XOr extends Gate {
  public XOr(int x, int y) {
    super(x, y);
    name = "Or";
  }

  protected boolean findState(int index) {
    return (!input[0].get() && input[1].get()) || (input[0].get() && !input[1].get());
  }

  public void draw() {
    setPen();

    beginShape();
    tvertex(-1, -1);
    tvertex(-.3, 0);
    tvertex(-1, 1);

    endShape();

    beginShape();
    //Top
    tvertex(-.6, -1);
    tvertex(0, -1);

    tvertex(1, 0);

    tvertex(0, 1);
    tvertex(-.6, 1);

    tvertex(.1, 0);

    tvertex(-.6, -1);
    endShape();

    drawHotspots();
  }
}

